/*
 * This file shows how to use various compiler extensions
 */
#define UCOS 7
#define OS_TASK_SWITCH() _trap(UCOS)
#define NOP _genword(0x4e71)

// makes a variable at address 0x0000fe00
_absolute(0xfe00) int absVar ;

// makes a function that returns with an RTE.  Also pushes all regs
// prior to doing any processing
void _interrupt xx()
{
	int a = 40;
	while (--a) ;
}
main()
{
	// call a trap
	OS_TASK_SWITCH();
	
	// embed a nop in the code
	NOP;
	
	// assign something to our absolute variable
	absVar = 7;
}